# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define cvsdate 20050521
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Summary:        Joost STAX Implementation
Name:           joost
Version:        0.9.1
Release:        2%{?dist}
Epoch:          0
License:        Mozilla Public License 1.1
URL:            http://joost.sourceforge.net/
Group:          Text Processing/Markup/XML
Source0:        http://downloads.sourceforge.net/project/joost/joost/0.9.1/joost-0.9.1-src.tar.gz
Source1:        joostGen.tar.gz
Source2:        http://repo1.maven.org/maven2/net/sf/joost/joost/0.9.1/joost-0.9.1.pom
Patch0:         joost-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  apache-commons-discovery
BuildRequires:  apache-commons-logging
BuildRequires:  bsf
BuildRequires:  excalibur-avalon-framework-api 
BuildRequires:  excalibur-avalon-framework-impl 
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  fop020
BuildRequires:  log4j
Requires:  apache-commons-discovery
Requires:  apache-commons-logging
Requires:  bsf
Requires:  excalibur-avalon-framework-api 
Requires:  excalibur-avalon-framework-impl 
Requires:  excalibur-avalon-logkit
Requires:  fop020
Requires:  log4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The world's first prototypic Java implementation of the Streaming 
Transformations for XML (STX) language. It is intended as a 
reference implementation which demonstrates the functionality 
of STX. 
NOTE: though the code runs hopefully without major crashes, it 
should still be regarded as an alpha version.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q 
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
gzip -dc %{SOURCE1}  | tar xf -

%patch0 -b .sav

%build
pushd helper
export CLASSPATH=$(build-classpath ant):.
ant -Dbuild.sysclasspath=first
popd
cp helper/joostGen.jar lib
export CLASSPATH=$(build-classpath bsf excalibur/avalon-framework-api excalibur/avalon-framework-impl excalibur/avalon-logkit commons-discovery commons-logging fop020 log4j)
CLASSPATH=$CLASSPATH:$(pwd)/lib/joostGen.jar
ant -Dbuild.sysclasspath=first jar doc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# pom
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap net.sf.joost %{name} %{version} JPP %{name}

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
install -m 0755 joost.sh $RPM_BUILD_ROOT%{_bindir}/joost
install -m 0755 rundb.sh $RPM_BUILD_ROOT%{_bindir}/joost-rundb
install -m 0755 runfop.sh $RPM_BUILD_ROOT%{_bindir}/joost-runfop
install -m 0755 run.sh $RPM_BUILD_ROOT%{_bindir}/joost-run


# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 doc/index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 CHANGES $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 ISSUES $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 LIMITS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples
# data
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
cp -pr conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.jar
%{_datadir}/%{name}-%{version}/conf
%attr(755,root,root) %{_bindir}/*
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/examples

%changelog
* Thu Nov 01 2012 Will Tatam <will.tatam@red61.com> 0.9.1-2
- Auto rebuild for JPackage 6 in centos5 mock

* Fri Aug 31 2012 Ralph Apel <r.apel@r-apel.de> - 0:0.9.1-1
- 0.9.1

* Wed Aug 29 2012 Ralph Apel <r.apel@r-apel.de> - 0:0.1-0.20050521.2
- First JPP-6 build

* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> - 0:0.1-0.20050521.1jpp
- First JPackage build
